eoMonitor(3)

NAME
eoMonitor - The abstract monitor class is a std::vector of parameter pointers.

SYNOPSIS

#include <eoMonitor.h>

Inherits eoF< eoMonitor & >.

Inherited by eoFileMonitor, eoFileSnapshot, eoStdoutMonitor, eoTimedMonitor, and MonitorWrapper.

  Public Member Functions
virtual void lastCall ()
virtual void add (const eoParam &_param)
Adds a parameter to the monitor.
virtual std::string className (void) const

  Protected Types
typedef std::vector< const eoParam * >::iterator iterator

  Protected Attributes
std::vector< const eoParam * > vec

Detailed Description

The abstract monitor class is a std::vector of parameter pointers. Use either push_back a pointer or add a reference to a parameter. Derived classes will then implement the operator()(void) which will stream or pipe the current values of the parameters to wherever you want it streamed or piped to.

Definition at line 46 of file eoMonitor.h.

Member Function Documentation

  virtual void eoMonitor::add (const eoParam & _param) [inline, virtual]

Adds a parameter to the monitor.

It is virtual so you can do some type checking in derived classes if you must.

Reimplemented in eoFDCFileSnapshot< EOT >, and eoFileSnapshot.

Definition at line 56 of file eoMonitor.h.

Referenced by eoFileSnapshot::add().

Author

Generated automatically by Doxygen for EO from the source code.